/*
 * LDASTools frameCPP - A library implementing the LIGO/Virgo frame specification
 *
 * Copyright (C) 2018 California Institute of Technology
 *
 * LDASTools frameCPP is free software; you may redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 (GPLv2) of the
 * License or at your discretion, any later version.
 *
 * LDASTools frameCPP is distributed in the hope that it will be useful, but
 * without any warranty or even the implied warranty of merchantability
 * or fitness for a particular purpose. See the GNU General Public
 * License (GPLv2) for more details.
 *
 * Neither the names of the California Institute of Technology (Caltech),
 * The Massachusetts Institute of Technology (M.I.T), The Laser
 * Interferometer Gravitational-Wave Observatory (LIGO), nor the names
 * of its contributors may be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * You should have received a copy of the licensing terms for this
 * software included in the file LICENSE located in the top-level
 * directory of this package. If you did not, you can view a copy at
 * http://dcc.ligo.org/M1500244/LICENSE
 */


%import "ldastoolsal/types.hh"

namespace std
{
  //*********************************************************************
  // Handling of the string class typemaps
  //*********************************************************************
  class string;

  //---------------------------------------------------------------------
  // const string&
  //---------------------------------------------------------------------
#if defined(SWIGPYTHON)
  %typemap(in) const string& ($1_basetype temp){
    temp = PyString_AsString( $input );
    $1 = &temp;
  }
#else /* */
  #error no "in" typemap defined
#endif /* */
#if defined(SWIGPYTHON)
  %typemap(out) const string& {
    $result = PyString_FromString( $1->c_str( ) );
  }
#else /* */
  #error no "out" typemap defined
#endif /* */

}

%apply string { STRING };

%apply float { REAL_4 };
%apply double { REAL_8 };
